Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class MailInformation

    java.lang.Object
      jet.bean.MailInformation

All Implemented Interfaces:
  java.io.Serializable

    public class MailInformation

extends java.lang.Object
implements java.io.Serializable

A `MailInformation` object contains the complete information for a mail.

See Also:
  Serialized Form

Field Summary
`static byte` | `ENCRYPTED_NONE` Connect the SMTP with none encrypt format.
`static byte` | `ENCRYPTED_SSL` Connect the SMTP with SSL encrypt format.
`static int` | `HIDDEN` Indicates that the html text overflow type is HIDDEN.
`static int` | `HTMLFILE` The constant indicates that the html format file is the mail attached file(s)
`static int` | `HTMLMAIL` The constant indicates that the html file is in mail body.
`static int` | `IE` browser type
`static int` | `NETSCAPE` browser type
`static int` | `PDFFILE` The constant indicates that the Pdf format file is the mail attached file.
`static int` | `PLAINTXT` The constant indicates that the text format file is the mail attached file.
`static int` | `PRECISION_ANY` The constant indicates that the layout precision could be any value, low or high.
`static int` | `PRECISION_HIGH` The constant indicates that the layout precision is high.
`static int` | `PRECISION_LOW` The constant indicates that the layout precision is low.
`static int` | `PSFILE` The constant indicates that the postscript format file is the mail attached file.
`static int` | `RSTFILE` The constant indicates that Rst format file is the mail attached file.
`static int` | `RTFFILE` The constant indicates that the Rtf format file is the mail attached file
`static int` | `TXTMAIL` The constant indicates that the Text file in mail body
`static int` | `VISIBLE` Indicates that the html text overflow type is VISIBLE.
`static int` | `XLSFILE` The constant indicates that excel format file is the mail attached file.
`static int` | `XMLFILE` The constant indicates that the xml format file(s) is the mail attached file.

Constructor Summary
`MailInformation()` Constructs a new `MailInformation` object and invokes other setting method to set another needed parameter for exporting to mail.
`MailInformation(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments)` Constructs a new `MailInformation` object with the following parameters and invokes the following setting method to set the attached file parameter.
`MailInformation(java.lang.String from, java.lang.String rcpt, java.lang.String cc, java.lang.String bcc, java.lang.String subject, java.lang.String comments, boolean archiveCompress, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean hyperlink, boolean pageno, boolean absolute, boolean bincdrilldownfile, boolean noMarginHtml, int browser, int udchWidth, int udchHeight, int resolution, boolean compress, boolean bRepeat, boolean quoteMark, boolean hasHeadFoot, char delimiter, boolean noMarginPDF, boolean isPrintMode, boolean isTransparent, int isCompressImage, boolean noMarginPS, boolean noMarginRTF, boolean isOnlyData, java.lang.String xsdFile, int isWordWrap, boolean isBiff8, boolean bToc, boolean bDrill, java.lang.String encoding)` Deprecated. please use MailInformation() or MailInformation(String, String, String, String, String, String)

Method Summary
`void` | `clear()` clear another file instance
`MailInformation` | `copy()` Adds this method for server group to invoke it.
`java.lang.String` | `getBlindCarbonCopy()` Gets the mail address of the blind copy recipient.
`java.lang.String` | `getCarbonCopy()` Gets the mail address of the carbon copy recipient.
`java.lang.String` | `getComments()` Gets text string for memoire.
`java.lang.String` | `getEncoding()` Gets the encoding of the mail.
`byte` | `getEncryptConnectionFormat()` Get the connection format.
`ExcelParameter` | `getExcelParameter()` Gets the excel parameter, which includes the needed parameter when producing excel files.
`java.lang.String` | `getFilename()` Gets the compressed file name.
`java.lang.String` | `getFileName(int format)` Gets the file name according to the format.
`java.lang.String` | `getFilenameFmt()` Stores the zip(template) name for server.
`java.lang.String` | `getFolder()` Gets the directory of saved files.
`HtmlParameter` | `getHtmlParameter(int type)` Gets the html parameter, which includes the parameter when producing the needed html files.
`long` | `getLimitSize()` Gets the limited file length.
`java.lang.String[]` | `getMailAuthencatorMessage()` Gets the mail authenticator message.
`java.lang.String` | `getMailFileNameFmt(int format)` Only for inner group to store template name.
`boolean` | `getMailFormat(int format)` Gets the flag whether this format is for mailbody or attached file.
`java.lang.String` | `getMailFrom()` Gets the mail address of the sender.
`java.lang.String` | `getMailTo()` Gets the mail address of the mail recipient.
`java.util.Vector` | `getOtherAttachedFile()` Gets other attached files.
`PDFParameter` | `getPDFParameters()` Gets the pdf parameter, which includes the needed parameter when producing pdf files.
`int` | `getPrecise(int format)` Gets the flag which indicates format file precision value.
`PSParameter` | `getPSParameter()` Gets the ps parameter, which includes the needed parameter when producing ps files.
`java.lang.String` | `getRSTFileName()` Gets the RST file name.
`RtfParameter` | `getRtfParameter()` Gets the rtf parameter, which includes the needed parameter when producing rtf files.
`java.lang.String` | `getSubject()` Gets the mail subject.
`TextParameter` | `getTextParameter(int format)` Gets the text parameter according to the format.
`java.lang.String` | `getURL()` Deprecated. This method is not used now. Will remove it in next version. If you have any questions, please contact our sales.
`XmlParameter` | `getXmlParameter()` Get the xml parameter, which includes the needed parameter when producing xml files.
`boolean` | `isArchiveCompress()`
`boolean` | `isAuthencator()` Indexes whether to send mail with authenticator format.
`boolean` | `isCompressedRST()` get the flag that identify the RST file is compressed format or not
`boolean` | `isDisableLinkReport(int format)` Gets the flag which indicates format file disable link report value.
`boolean` | `isRSTFile()` Identifies whether the attached file includes RST file or not.
`boolean` | `isSendNotice()` Gets whether to send a mail to notice user or not.
`boolean` | `isSentMail()` Gets whether has sent the mail with attachment.
`void` | `setAbsoluteFontSize(boolean absolute)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setArchiveCompress(boolean archiveCompress)` Sets whether or not to compress mail attachment by using java compress utilities.
`void` | `setAuthencatorMessage(java.lang.String username, java.lang.String passWord, java.lang.String fromAddress)` Sets the authenticator message.
`void` | `setBlindCarbonCopy(java.lang.String bcc)` Sets the mail address of the blind copy recipient.
`void` | `setBrowser(int browser)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setCarbonCopy(java.lang.String cc)` Sets the mail address of the carbon copy recipient.
`void` | `setCharHeight(int udchHeight)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setChartappletHtml(boolean bChartApplet)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setCharWidth(int udchWidth)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setComments(java.lang.String comments)` Sets text string for memoire.
`void` | `setCompressImage(int isCompressImage)` Deprecated. please use setPDFParameters(PDFParameter) to replace this method
`void` | `setCompressText(boolean compress)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setDelimiter(char delimiter)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setDisableLinkReport(int format, boolean disable)` Sets the flag disable to the format.
`void` | `setDrill(boolean bDrill)` Deprecated. please use setPDFParameters(PDFParameter) to replace this method
`void` | `setDrillDownHtml(boolean bincdrilldownfile)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the mail.
`void` | `setEncryptConnectionFormat(byte format)` Set the connection format to connect the SMTP
`void` | `setExcelParam(int param)` Deprecated. please use setExcelParameter(ExcelParameter) to replace this method
`void` | `setExcelParameter(ExcelParameter excelParameter)` Sets the excel parameter, which includes the needed parameter when producing excel files.
`void` | `setExcelParameter(java.lang.String filename, ExcelParameter excelParameter)` Sets the file name and its parameter to the excel file.
`void` | `setFilename(java.lang.String filename)` Sets the compressed attached file name.
`void` | `setFilenameFmt(java.lang.String filenameFmt)` Stores the zip(template) name for server.
`void` | `setFolder(java.lang.String folder)` Sets the path of the saved files.
`void` | `setForWindows(boolean forWindows)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setHtmlChartImageFormat(int chartImageFormatType)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setHtmlParameter(int type, HtmlParameter htmlParameter)` Sets the html parameter, which includes the parameter when producing the needed html files.
`void` | `setHtmlParameter(int type, java.lang.String fileName, HtmlParameter htmlParameter)` Sets the html parameter and the fileName.
`void` | `setHtmlResolution(int resolution)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setHyperlink(boolean hyperlink)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setIsBiff8(boolean isBiff8)` Deprecated. please use setExcelParameter(ExcelParameter) to replace this method
`void` | `setKeepHeadFoot(boolean hasHeadFoot)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setLimitSize(long smtpMaxSize)` Sets the total limited file length.
`void` | `setMailFileNameFmt(int format, java.lang.String fileNameFmt)` Only for inner group to store template name.
`void` | `setMailFormat(int format, boolean value)` Sets the format of the mail.
`void` | `setMailFrom(java.lang.String from)` Sets the mail address of the sender.
`void` | `setMailTo(java.lang.String rcpt)` Sets the mail address of the recipient.
`void` | `setMultiFileHtml(boolean isMultiFile)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setNoMarginHtml(boolean noMarginHtml)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setNoMarginPDF(boolean noMarginPDF)` Deprecated. please use setPDFParameters(PDFParameter) to replace this method
`void` | `setNoMarginPS(boolean noMarginPS)` Deprecated. please use setPSParameter(PSParameter) to replace this method
`void` | `setNoMarginRTF(boolean noMarginRTF)` Deprecated. please use setRtfParameter(RtfParameter) to replace this method
`void` | `setOnlyDataXML(boolean isOnlyData)` Deprecated. please use setXmlParameter(XmlParameter) to replace this method
`void` | `setOtherAttachedFile(java.util.Vector other)` Sets another file, like version file or RST file.
`void` | `setOverflowType(int overflowType)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setPageNumber(boolean pageno)` Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method
`void` | `setPDFParameters(PDFParameter pdfParameter)` Sets the PDF parameter, which includes the parameter needed when producing PDF files.
`void` | `setPDFParameters(java.lang.String fileName, PDFParameter pdfParameter)` Sets the pdf parameter and the file name
`void` | `setPdfPassword(java.lang.String pdfPassword)` Deprecated. please use setPDFParameters(PDFParameter) to replace this method
`void` | `setPrecise(int format, int precise)` Sets the flag precision to the format.
`void` | `setPrintModePDF(boolean isPrintMode)` Deprecated. please use setPDFParameters(PDFParameter) to replace this method
`void` | `setPSParameter(PSParameter psParameter)` Sets the ps parameter, which includes the needed parameter when producing ps files.
`void` | `setPSParameter(java.lang.String fileName, PSParameter psParameter)` Sets the ps parameter and the fileName.
`void` | `setQuoteMark(boolean quoteMark)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setRepeatText(boolean bRepeat)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setResolution(int resolution)` Deprecated. please use setTextParameter(TextParameter) to replace this method
`void` | `setRstAsCompressed(boolean isCompress)` Sets the flag that exports the report as compressed format.
`void` | `setRSTFileName(java.lang.String rstFileName)` Sets the RST file name.
`void` | `setRtfParameter(RtfParameter rtfParameter)` Sets the rtf parameter, which includes the needed parameter when producing rtf files.
`void` | `setRtfParameter(java.lang.String fileName, RtfParameter rtfParameter)` Sets the rtf parameter and the file name.
`void` | `setSendNotice(boolean bSendNotice)` Indicates whether to send a mail to notice user or not.
`void` | `setSentMail(boolean isMailSend)` Indicates whether has sent the mail with attachment.
`void` | `setSubject(java.lang.String subject)` Sets the mail subject.
`void` | `setTableFormatHtml(boolean bUsingTable)` Deprecated. this function has been removed
`void` | `setTextParameter(int format, java.lang.String fileName, TextParameter textParamter)` Sets the text paramter and the file name.
`void` | `setTextParameter(java.lang.String fileName, TextParameter textParameter)` Deprecated. please use this method setTextParamter(int, String, TextParameter) to replace it
`void` | `setTextParameter(TextParameter textParameter)` Deprecated. please use this method setTextParamter(int, String, TextParameter) to replace it
`void` | `setToc(boolean bToc)` Deprecated. please use setPDFParameters(PDFParameter) to replace this method
`void` | `setTransparentImage(boolean isTransparent)` Deprecated. please use setPDFParameters(PDFParameter) to replace this method
`void` | `setURL(java.lang.String url)` Deprecated. This method is not used now. Will remove it in next version. If you have any questions, please contact our sales.
`void` | `setWordWrap(int isWordWrap)` Deprecated. please use setExcelParameter(ExcelParameter) to replace this method
`void` | `setXmlParameter(java.lang.String fileName, XmlParameter xmlParameter)` Sets the xml parameter and the fileName.
`void` | `setXmlParameter(XmlParameter xmlParameter)` Sets the xml parameter, which includes the needed parameter when producing xml files.
`boolean` | `setXSDFile(java.lang.String xsdFile)` Deprecated. please use setXmlParameter(XmlParameter) to replace this method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IE

    public static final int IE

  browser type

  See Also:
    Constant Field Values

### NETSCAPE

    public static final int NETSCAPE

  browser type

  See Also:
    Constant Field Values

### VISIBLE

    public static final int VISIBLE

  Indicates that the html text overflow type is VISIBLE.

  See Also:
    Constant Field Values

### HIDDEN

    public static final int HIDDEN

  Indicates that the html text overflow type is HIDDEN.

  See Also:
    Constant Field Values

### PRECISION_HIGH

    public static final int PRECISION_HIGH

  The constant indicates that the layout precision is high.

  This constant is used by the method `setPrecise`.

  See Also:
    Constant Field Values

### PRECISION_LOW

    public static final int PRECISION_LOW

  The constant indicates that the layout precision is low.

  This constant is used by the method `setPrecise`.

  See Also:
    Constant Field Values

### PRECISION_ANY

    public static final int PRECISION_ANY

  The constant indicates that the layout precision could be any value, low or high.

  This constant is used by the method `setPrecise`.

  See Also:
    Constant Field Values

### HTMLMAIL

    public static final int HTMLMAIL

  The constant indicates that the html file is in mail body.

  This constant is used by the method `setHtmlParameter` and `setMailFormat`.

  Note: If HTMLMAIL and TXTMAIL are set at the same time, HTMLMAIL will be replaced by TXTMAIL format.

  See Also:
    `TXTMAIL`, Constant Field Values

### PLAINTXT

    public static final int PLAINTXT

  The constant indicates that the text format file is the mail attached file. The file can be in normal text or delimited text by invoking the method `jet.bean.TextParameter.setNormalTextFile(boolean)`. It specifies which format text would be produced.

  This constant is used by the method `setTextParameter` and `setMailFormat`.

  See Also:
    `TextParameter`, Constant Field Values

### HTMLFILE

    public static final int HTMLFILE

  The constant indicates that the html format file is the mail attached file(s)

  This constant is used by the method `setHtmlParameter` and `setMailFormat`.

  See Also:
    Constant Field Values

### PDFFILE

    public static final int PDFFILE

  The constant indicates that the Pdf format file is the mail attached file.

  This constant is used by the method `setMailFormat`.

  See Also:
    Constant Field Values

### RSTFILE

    public static final int RSTFILE

  The constant indicates that Rst format file is the mail attached file.

  This constant is used by the method `setMailFormat`.

  See Also:
    Constant Field Values

### PSFILE

    public static final int PSFILE

  The constant indicates that the postscript format file is the mail attached file.

  This constant is used by the method `setMailFormat`.

  See Also:
    Constant Field Values

### XLSFILE

    public static final int XLSFILE

  The constant indicates that excel format file is the mail attached file.

  This constant is used by the method `setMailFormat`.

  See Also:
    Constant Field Values

### RTFFILE

    public static final int RTFFILE

  The constant indicates that the Rtf format file is the mail attached file

  This constant is used by the method `setMailFormat`.

  See Also:
    Constant Field Values

### XMLFILE

    public static final int XMLFILE

  The constant indicates that the xml format file(s) is the mail attached file.

  This constant is used by the method `setMailFormat`.

  See Also:
    Constant Field Values

### TXTMAIL

    public static final int TXTMAIL

  The constant indicates that the Text file in mail body

  This constant is used by the method `setTextParameter` and `setMailFormat`.

  Note: If HTMLMAIL and TXTMAIL are selected at the same time, HTMLMAIL will be replaced by TXTMAIL format.

  See Also:
    `HTMLMAIL`, Constant Field Values

### ENCRYPTED_NONE

    public static final byte ENCRYPTED_NONE

  Connect the SMTP with none encrypt format.

  See Also:
    Constant Field Values

### ENCRYPTED_SSL

    public static final byte ENCRYPTED_SSL

  Connect the SMTP with SSL encrypt format.

  See Also:
    Constant Field Values

Constructor Detail

### MailInformation

    public MailInformation()

  Constructs a new `MailInformation` object and invokes other setting method to set another needed parameter for exporting to mail.

  Note: You must invoke the methods `setMailTo(String)`, `setCarbonCopy(String)` and `setBlindCarbonCopy(String)` to set the mail address.

  See Also:
    `setMailFrom(String)`, `setMailTo(String)`, `setCarbonCopy(String)`, `setBlindCarbonCopy(String)`, `setSubject(String)`, `setComments(String)`, `setHtmlParameter(int, HtmlParameter)`, `setHtmlParameter(int, String, HtmlParameter)`, `setPDFParameters(PDFParameter)`, `setPDFParameters(String, PDFParameter)`, `setTextParameter(int, String, TextParameter)`, `setPSParameter(PSParameter)`, `setPSParameter(String, PSParameter)`, `setXmlParameter(XmlParameter)`, `setXmlParameter(String, XmlParameter)`, `setExcelParameter(ExcelParameter)`, `setExcelParameter(String, ExcelParameter)`, `setRtfParameter(RtfParameter)`, `setRtfParameter(String, RtfParameter)`

### MailInformation

    public MailInformation(java.lang.String from,
                           java.lang.String rcpt,
                           java.lang.String cc,
                           java.lang.String bcc,
                           java.lang.String subject,
                           java.lang.String comments)

  Constructs a new `MailInformation` object with the following parameters and invokes the following setting method to set the attached file parameter.

  Parameters:
    `from` - the address of the sender.
    `rcpt` - the address of the receipt.
    `cc` - copy to address.
    `bcc` - blind copy to address.
    `subject` - the mail subject.
    `comments` - any text string for memoire.

    Note:If the HTMLMAIL format is selected, the comments will be ignored

  See Also:
    `setHtmlParameter(int, HtmlParameter)`, `setHtmlParameter(int, String, HtmlParameter)`, `setPDFParameters(PDFParameter)`, `setPDFParameters(String, PDFParameter)`, `setTextParameter(int, String, TextParameter)`, `setPSParameter(PSParameter)`, `setPSParameter(String, PSParameter)`, `setXmlParameter(XmlParameter)`, `setXmlParameter(String, XmlParameter)`, `setExcelParameter(ExcelParameter)`, `setExcelParameter(String, ExcelParameter)`, `setRtfParameter(RtfParameter)`, `setRtfParameter(String, RtfParameter)`

### MailInformation

    public MailInformation(java.lang.String from,
                           java.lang.String rcpt,
                           java.lang.String cc,
                           java.lang.String bcc,
                           java.lang.String subject,
                           java.lang.String comments,
                           boolean archiveCompress,
                           boolean bChartApplet,
                           boolean isMultiFile,
                           boolean bUsingTable,
                           boolean hyperlink,
                           boolean pageno,
                           boolean absolute,
                           boolean bincdrilldownfile,
                           boolean noMarginHtml,
                           int browser,
                           int udchWidth,
                           int udchHeight,
                           int resolution,
                           boolean compress,
                           boolean bRepeat,
                           boolean quoteMark,
                           boolean hasHeadFoot,
                           char delimiter,
                           boolean noMarginPDF,
                           boolean isPrintMode,
                           boolean isTransparent,
                           int isCompressImage,
                           boolean noMarginPS,
                           boolean noMarginRTF,
                           boolean isOnlyData,
                           java.lang.String xsdFile,
                           int isWordWrap,
                           boolean isBiff8,
                           boolean bToc,
                           boolean bDrill,
                           java.lang.String encoding)

  Deprecated. please use MailInformation() or MailInformation(String, String, String, String, String, String)

  Parameters:
    `from` - the address of the sender.
    `rcpt` - the address of the receipt.
    `cc` - carbon copy to address.
    `bcc` - blind copy to address.
    `subject` - the mail subject.
    `comments` - any text string for memoire.
    `archiveCompress` - indicates whether to use java compress utilities to compress mail contents.
    `bChartApplet` - creates chart as applet or image in html file.
    `isMultiFile` - generates multi-page or single page html file.
    `bUsingTable` - generates table format html file.
    `hyperlink` - creates hyperlink in html when the html file is in single page format.
    `pageno` - displays page number in html when the html file is in single page format.
    `absolute` - indicates that the font size of the html file is absolute or relative.
    `bincdrilldownfile` - specifies whether to create drilldowned html files.
    `noMarginHtml` - indicates that the exported html file is without page Margin
    `browser` - The browser is IE or NETSCAPE.
    `udchWidth` - the width of user defined characters.
    `udchHeight` - the height of user defined characters.
    `resolution` - sets resolution for the text file.
    `compress` - removes empty lines or redundant delimiters in the exported text file.
    `bRepeat` - specifies whether to repeat the same contents in text file.
    `quoteMark` - specifies whether to keep the quote character in standard format text or not.
    `hasHeadFoot` - specifies to include the header and footer object when the text file is mail attached file.
    `delimiter` - the delimiter used in the SDF(Standard Data Format) format text.
    `noMarginPDF` - indicates that the exported PDF file is without page Margin
    `isPrintMode` - specifies to generate the pdf file using simulated print mode.
    `isTransparent` - specifies to generate the pdf file with transparent gif images.
    `isCompressImage` - indicates the image compress rate to generate the pdf file.
    `noMarginPS` - indicates that the exported Post Script file is without page Margin.
    `noMarginRTF` - indicates that the exported RTF file is without page Margin.
    `isOnlyData` - indicates that only database column information ia added to the XML file, or else all the detailed information of the report, including all the property values of each report object will be exported.
    `encoding` - mail encoding
    `xsdFile` - outputs the xml file based on the specified xsd.
  See Also:
    `MailInformation()`, `MailInformation(String, String, String, String, String, String)`

Method Detail

### setAuthencatorMessage

    public final void setAuthencatorMessage(java.lang.String username,
                                            java.lang.String passWord,
                                            java.lang.String fromAddress)

  Sets the authenticator message. If you invoke this method it will use the authenticator format. So if SMTP does not need authenticator format, please do not invoke this method, otherwise the mail may not be sent successfully.

  Parameters:
    `username` - the user name when logoning SMTP server
    `passWord` - the password when logoning SMTP
    `fromAddress` - the user's mail address in this SMTP server
  Since:
    V8.0

### getMailAuthencatorMessage

    public final java.lang.String[] getMailAuthencatorMessage()

  Gets the mail authenticator message.

  Returns:
    gets the authenticator message

### isAuthencator

    public final boolean isAuthencator()

  Indexes whether to send mail with authenticator format.

  Returns:
    true uses the authenticator format

### setMailFormat

    public void setMailFormat(int format,
                              boolean value)

  Sets the format of the mail.

  Parameters:
    `format` - available choices are :
    - HTMLMAIL, html mail
    - HTMLFILE, html files mail
    - TXTMAIL, plain text mail
    - PLAINTXT, text file mail
    - RSTFILE, rst file mail
    - RTFFILE, RTF format file mail
    - XLSFILE,Excel format file mail
    - XMLFILE, XML file mail
    - PSFILE, Postscript file mail
    `value` - true, sets it as this format, false, cancels it.
  See Also:
    `HTMLMAIL`, `HTMLFILE`, `TXTMAIL`, `PLAINTXT`, `RSTFILE`, `RTFFILE`, `XLSFILE`, `XMLFILE`, `PSFILE`

### setPrecise

    public void setPrecise(int format,
                           int precise)

  Sets the flag precision to the format. Its value must be:
  - PRECISION_HIGH
  - PRECISION_LOW
  - PRECISION_ANY

  Parameters:
    `format` - format for the mail body or the attached file
    `precision` - an `int` specifying the layout precision; one of `MailInformation.PRECISION_HIGH`, `MailInformation.PRECISION_LOW`, or `MailInformation.PRECISION_ANY`. the default value is PRECISION_ANY
  Since:
    V8.1
  See Also:
    `PRECISION_HIGH`, `PRECISION_LOW`, `PRECISION_ANY`

### getPrecise

    public int getPrecise(int format)

  Gets the flag which indicates format file precision value. Its value should be:
  - PRECISION_HIGH
  - PRECISION_LOW
  - PRECISION_ANY

  Parameters:
    `format` - format for the mail body or the attached file
  Returns:
    the flag specifying the precision of the format used
  See Also:
    `PRECISION_HIGH`, `PRECISION_LOW`, `PRECISION_ANY`

### setDisableLinkReport

    public void setDisableLinkReport(int format,
                                     boolean disable)

  Sets the flag disable to the format.

  Parameters:
    `format` - format for the mail body or the attached file
    `disable` - `true` disable the link report.

### isDisableLinkReport

    public boolean isDisableLinkReport(int format)

  Gets the flag which indicates format file disable link report value.

  Parameters:
    `format` - format for the mail body or the attached file
  Returns:
    true specify the link report is not exporting for the format file type.

### setMailFileNameFmt

    public void setMailFileNameFmt(int format,
                                   java.lang.String fileNameFmt)

  Only for inner group to store template name. Other groups please do not invoke it.

  Parameters:
    `format` -
    `fileNameFmt` -

### getMailFileNameFmt

    public java.lang.String getMailFileNameFmt(int format)

  Only for inner group to store template name. Other groups please do not invoke it.

  Parameters:
    `format` - the attache file format
  Returns:
    the attached file

### getMailFormat

    public boolean getMailFormat(int format)

  Gets the flag whether this format is for mailbody or attached file.

  Parameters:
    `format` - the file format, such as HTMLMAIL....RTFFILE
  Returns:
    true this format is one part of this mail

### getFileName

    public java.lang.String getFileName(int format)

  Gets the file name according to the format.

  Parameters:
    `format` - the file format, such as HTMLMAIL....RTFFILE
  Returns:
    file name

### setMailFrom

    public void setMailFrom(java.lang.String from)

  Sets the mail address of the sender.

  Parameters:
    `from` - the address of the sender.

### getMailFrom

    public java.lang.String getMailFrom()

  Gets the mail address of the sender.

  Returns:
    the address of the sender.

### setMailTo

    public void setMailTo(java.lang.String rcpt)

  Sets the mail address of the recipient.

  Parameters:
    `rcpt` - the address of the recipient, splitting each address with "," or ";"

### getMailTo

    public java.lang.String getMailTo()

  Gets the mail address of the mail recipient.

  Returns:
    the address of the mail recipient.

### setCarbonCopy

    public void setCarbonCopy(java.lang.String cc)

  Sets the mail address of the carbon copy recipient.

  Parameters:
    `cc` - the address of the carbon copy recipient, splitting each address with "," or ";"

### getCarbonCopy

    public java.lang.String getCarbonCopy()

  Gets the mail address of the carbon copy recipient.

  Returns:
    the address of the carbon copy recipient.

### setBlindCarbonCopy

    public void setBlindCarbonCopy(java.lang.String bcc)

  Sets the mail address of the blind copy recipient.

  Parameters:
    `bcc` - the address of the blind copy recipient, splitting each address with "," or ";"

### getBlindCarbonCopy

    public java.lang.String getBlindCarbonCopy()

  Gets the mail address of the blind copy recipient.

  Returns:
    the address of the blind copy recipient.

### setComments

    public void setComments(java.lang.String comments)

  Sets text string for memoire.

  Parameters:
    `comments` - any text string for memoire

### getComments

    public java.lang.String getComments()

  Gets text string for memoire.

  Returns:
    any text string for memoire

### setSubject

    public void setSubject(java.lang.String subject)

  Sets the mail subject.

  Parameters:
    `subject` - the mail subject.

### getSubject

    public java.lang.String getSubject()

  Gets the mail subject.

  Returns:
    the mail subject.

### setArchiveCompress

    public void setArchiveCompress(boolean archiveCompress)

  Sets whether or not to compress mail attachment by using java compress utilities.

  Parameters:
    `archiveCompress` - the compress attachment flag

### isArchiveCompress

    public boolean isArchiveCompress()

  Returns:
    true if the mail attached files need to be compressed.

### setOtherAttachedFile

    public void setOtherAttachedFile(java.util.Vector other)

  Sets another file, like version file or RST file.

  Parameters:
    `other` - hold another attached file(s)

### isRSTFile

    public boolean isRSTFile()

  Identifies whether the attached file includes RST file or not.

  Returns:
    true if the RST file is as mail attached file
  Since:
    V8.0

### getRSTFileName

    public java.lang.String getRSTFileName()

  Gets the RST file name.

  Returns:
    attached RST file name
  Since:
    V8.0

### setRSTFileName

    public void setRSTFileName(java.lang.String rstFileName)

  Sets the RST file name.

  Parameters:
    `rstFileName` - the attached RST file name
  Since:
    V8.0

### isCompressedRST

    public boolean isCompressedRST()

  get the flag that identify the RST file is compressed format or not

  Returns:
    true if need compress the Rst file

### setRstAsCompressed

    public void setRstAsCompressed(boolean isCompress)

  Sets the flag that exports the report as compressed format.

  Parameters:
    `isCompress` - the flag specifying whether to compress the RST file or not

### getOtherAttachedFile

    public java.util.Vector getOtherAttachedFile()

  Gets other attached files.

  Returns:
    other attached files

### setHtmlParameter

    public void setHtmlParameter(int type,
                                 HtmlParameter htmlParameter)

  Sets the html parameter, which includes the parameter when producing the needed html files.

  Parameters:
    `htmlParameter` - the parameter when producing the needed html files
    `type` - the type should be HTMLFILE or HTMLMAIL
  Since:
    V8.0
  See Also:
    `setHtmlParameter(int, String, HtmlParameter)`

### setHtmlParameter

    public void setHtmlParameter(int type,
                                 java.lang.String fileName,
                                 HtmlParameter htmlParameter)

  Sets the html parameter and the fileName.

  Parameters:
    `type` - the type will be HTMLFILE or HTMLMAIL
    `fileName` - the html fileName
    `htmlParameter` - the parameter when producing the needed html files
  Since:
    V8.0
  See Also:
    `HtmlParameter`

### getHtmlParameter

    public HtmlParameter getHtmlParameter(int type)

  Gets the html parameter, which includes the parameter when producing the needed html files.

  Parameters:
    `type` - the type will be HTMLFILE or HTMLMAIL
  Returns:
    the html parameter of this type

### setOverflowType

    public void setOverflowType(int overflowType)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets the html text overflow type of the mail.

  Parameters:
    `overflowType` - html text overflow type
  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setChartappletHtml

    public void setChartappletHtml(boolean bChartApplet)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets the format of the chart as applet or image in html file. In mail, it can not support this function.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setMultiFileHtml

    public void setMultiFileHtml(boolean isMultiFile)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets whether or not to generate multi-page html file.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setTableFormatHtml

    public void setTableFormatHtml(boolean bUsingTable)

  Deprecated. this function has been removed

  Since:
    V8 remove this function

### setHyperlink

    public void setHyperlink(boolean hyperlink)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets whether or not to create hyperlink in a single page format html file.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setPageNumber

    public void setPageNumber(boolean pageno)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets whether or not to display page number in a single page format html file.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setAbsoluteFontSize

    public void setAbsoluteFontSize(boolean absolute)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets whether the font size used in html file is absolute or relative.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setDrillDownHtml

    public void setDrillDownHtml(boolean bincdrilldownfile)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets whether or not to generate drilldown files when exporting to html format.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setNoMarginHtml

    public void setNoMarginHtml(boolean noMarginHtml)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets whether or not to generate margin when exporting to html format.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setBrowser

    public void setBrowser(int browser)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  The browser is ie or netscape. The value of parameter int browser must be either IE or NETSCAPE.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setHtmlResolution

    public void setHtmlResolution(int resolution)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets the resoution of the html file to be created.

  Parameters:
    `resolution` - the resolution value of the html file.
  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setHtmlChartImageFormat

    public void setHtmlChartImageFormat(int chartImageFormatType)

  Deprecated. please use setHtmlParameter(int, HtmlParameter) to replace this method

  Sets the Format type of the html chart image.

  See Also:
    `setHtmlParameter(int, HtmlParameter)`

### setTextParameter

    public void setTextParameter(TextParameter textParameter)

  Deprecated. please use this method setTextParamter(int, String, TextParameter) to replace it

  Sets the Text parameter, which includes the parameter needed when producing text files.

  Parameters:
    `textParameter` - produces the parameter needed for text files
  See Also:
    `setTextParameter(int, String, TextParameter)`

### setTextParameter

    public void setTextParameter(int format,
                                 java.lang.String fileName,
                                 TextParameter textParamter)

  Sets the text paramter and the file name.

  Parameters:
    `format` - it should be TXTMAIL or PLAINTXT
    `fileName` - the file name of the attached file
    `textParamter` - the paramter needed when exporting the report to text file note: If the format is not PLAINTXT or TXTMAIL, this method can not take affect.
  Since:
    V8.2
  See Also:
    `PLAINTXT`, `TXTMAIL`, `TextParameter`

### setTextParameter

    public void setTextParameter(java.lang.String fileName,
                                 TextParameter textParameter)

  Deprecated. please use this method setTextParamter(int, String, TextParameter) to replace it

  Sets the text parameter and the file name.

  Parameters:
    `fileName` - the attached file name
    `textParameter` - the needed parameter when producing the text file
  See Also:
    `setTextParameter(int, String, TextParameter)`

### getTextParameter

    public TextParameter getTextParameter(int format)

  Gets the text parameter according to the format.

  Parameters:
    `format` -
  Returns:
    the produce the text file parameter

### setForWindows

    public void setForWindows(boolean forWindows)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Indicates the platform on which the text file will be accessed.

  See Also:
    `setTextParameter(TextParameter)`

### setCharWidth

    public void setCharWidth(int udchWidth)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets the width for the user defined characters when exporting to text file.

  See Also:
    `setTextParameter(TextParameter)`

### setCharHeight

    public void setCharHeight(int udchHeight)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets the height of the user defined characters when exporting to text file.

  See Also:
    `setTextParameter(TextParameter)`

### setResolution

    public void setResolution(int resolution)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets the resolution of text file.

  See Also:
    `setTextParameter(TextParameter)`

### setCompressText

    public void setCompressText(boolean compress)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets whether or not to compress the exported text file by removing empty lines or redundant delimiters.

  See Also:
    `setTextParameter(TextParameter)`

### setRepeatText

    public void setRepeatText(boolean bRepeat)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets whether or not to repeat the same contents in the exported text file.

  See Also:
    `setTextParameter(TextParameter)`

### setQuoteMark

    public void setQuoteMark(boolean quoteMark)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets whether or not to keep the quotation marks in standard format text.

  See Also:
    `setTextParameter(TextParameter)`

### setKeepHeadFoot

    public void setKeepHeadFoot(boolean hasHeadFoot)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets whether or not to keep the header and footer in the exported text file.

  See Also:
    `setTextParameter(TextParameter)`

### setDelimiter

    public void setDelimiter(char delimiter)

  Deprecated. please use setTextParameter(TextParameter) to replace this method

  Sets the delimiter used in the SDF(Standard Data Format) format text.

  See Also:
    `setTextParameter(TextParameter)`

### setPDFParameters

    public void setPDFParameters(PDFParameter pdfParameter)

  Sets the PDF parameter, which includes the parameter needed when producing PDF files.

  Parameters:
    `pdfParameter` - produce the needed parameter for PDF files
  Since:
    V8.0
  See Also:
    `setPDFParameters(String, PDFParameter)`

### setPDFParameters

    public void setPDFParameters(java.lang.String fileName,
                                 PDFParameter pdfParameter)

  Sets the pdf parameter and the file name

  Parameters:
    `fileName` - the attached file name
    `pdfParameter` - produce the needed parameter for PDF files
  Since:
    V8.0
  See Also:
    `PDFParameter`

### getPDFParameters

    public PDFParameter getPDFParameters()

  Gets the pdf parameter, which includes the needed parameter when producing pdf files.

  Returns:
    the needed parameter for PDF files

### setPdfPassword

    public void setPdfPassword(java.lang.String pdfPassword)

  Deprecated. please use setPDFParameters(PDFParameter) to replace this method

  Sets the password of pdf file.

  Parameters:
    `pdfPassword` - the password string
  See Also:
    `setPDFParameters(PDFParameter)`

### setToc

    public void setToc(boolean bToc)

  Deprecated. please use setPDFParameters(PDFParameter) to replace this method

  Parameters:
    `bToc` -
  See Also:
    `setPDFParameters(PDFParameter)`

### setDrill

    public void setDrill(boolean bDrill)

  Deprecated. please use setPDFParameters(PDFParameter) to replace this method

  Parameters:
    `bDrill` -
  See Also:
    `setPDFParameters(PDFParameter)`

### setNoMarginPDF

    public void setNoMarginPDF(boolean noMarginPDF)

  Deprecated. please use setPDFParameters(PDFParameter) to replace this method

  Sets whether or not to have page margin in the exported PDF file.

  See Also:
    `setPDFParameters(PDFParameter)`

### setPrintModePDF

    public void setPrintModePDF(boolean isPrintMode)

  Deprecated. please use setPDFParameters(PDFParameter) to replace this method

  Sets whether or not to generate the pdf file using simulated print mode.

  See Also:
    `setPDFParameters(PDFParameter)`

### setTransparentImage

    public void setTransparentImage(boolean isTransparent)

  Deprecated. please use setPDFParameters(PDFParameter) to replace this method

  Sets whether or not to generate the pdf file which keeps transparent gif image.

  See Also:
    `setPDFParameters(PDFParameter)`

### setCompressImage

    public void setCompressImage(int isCompressImage)

  Deprecated. please use setPDFParameters(PDFParameter) to replace this method

  Sets the compression ratio of the image when exporting to PDF file.

  See Also:
    `setPDFParameters(PDFParameter)`

### setPSParameter

    public void setPSParameter(PSParameter psParameter)

  Sets the ps parameter, which includes the needed parameter when producing ps files.

  Parameters:
    `psParameter` - produce the needed parameter when producing Postscript files
  Since:
    V8.0
  See Also:
    `setPSParameter(String, PSParameter)`

### setPSParameter

    public void setPSParameter(java.lang.String fileName,
                               PSParameter psParameter)

  Sets the ps parameter and the fileName.

  Parameters:
    `fileName` - the attached file name
    `psParameter` - produce the needed parameter when producing Postscript files
  Since:
    V8.0
  See Also:
    `PSParameter`

### getPSParameter

    public PSParameter getPSParameter()

  Gets the ps parameter, which includes the needed parameter when producing ps files.

  Returns:
    the needed parameter when producing ps files

### setNoMarginPS

    public void setNoMarginPS(boolean noMarginPS)

  Deprecated. please use setPSParameter(PSParameter) to replace this method

  Sets whether or not to have page margin in the exported Post Script file.

  See Also:
    `setPSParameter(PSParameter)`

### setRtfParameter

    public void setRtfParameter(RtfParameter rtfParameter)

  Sets the rtf parameter, which includes the needed parameter when producing rtf files.

  Parameters:
    `rtfParameter` - the needed parameter when producing rtf files
  Since:
    V8.0
  See Also:
    `setRtfParameter(String, RtfParameter)`

### setRtfParameter

    public void setRtfParameter(java.lang.String fileName,
                                RtfParameter rtfParameter)

  Sets the rtf parameter and the file name.

  Parameters:
    `fileName` - the attached file name
    `rtfParameter` - the needed parameter when producing rtf files
  Since:
    V8.0
  See Also:
    `RtfParameter`

### getRtfParameter

    public RtfParameter getRtfParameter()

  Gets the rtf parameter, which includes the needed parameter when producing rtf files.

  Returns:
    the needed parameter when producing rtf files

### setNoMarginRTF

    public void setNoMarginRTF(boolean noMarginRTF)

  Deprecated. please use setRtfParameter(RtfParameter) to replace this method

  Sets whether or not to have page margin in the exported RTF file.

  See Also:
    `setRtfParameter(RtfParameter)`

### setXmlParameter

    public void setXmlParameter(XmlParameter xmlParameter)

  Sets the xml parameter, which includes the needed parameter when producing xml files.

  Parameters:
    `xmlParameter` -
  Since:
    V8.0
  See Also:
    `XmlParameter`

### setXmlParameter

    public void setXmlParameter(java.lang.String fileName,
                                XmlParameter xmlParameter)

  Sets the xml parameter and the fileName.

  Parameters:
    `fileName` - the attached file name
    `xmlParameter` - the needed parameter when producing xml files
  Since:
    V8.0
  See Also:
    `setXmlParameter(String, XmlParameter)`

### getXmlParameter

    public XmlParameter getXmlParameter()

  Get the xml parameter, which includes the needed parameter when producing xml files.

  Returns:
    the needed parameter when producing xml files

### setOnlyDataXML

    public void setOnlyDataXML(boolean isOnlyData)

  Deprecated. please use setXmlParameter(XmlParameter) to replace this method

  Sets whether or not to contain only data in the exported XML file.

  See Also:
    `setXmlParameter(XmlParameter)`

### setXSDFile

    public boolean setXSDFile(java.lang.String xsdFile)

  Deprecated. please use setXmlParameter(XmlParameter) to replace this method

  Parameters:
    `xsdFile` -
  Returns:
  See Also:
    `setXmlParameter(XmlParameter)`

### setExcelParameter

    public void setExcelParameter(ExcelParameter excelParameter)

  Sets the excel parameter, which includes the needed parameter when producing excel files.

  Parameters:
    `excelParameter` - the needed parameter when producing excel files
  Since:
    V8.0
  See Also:
    `setExcelParameter(String, ExcelParameter)`

### setExcelParameter

    public void setExcelParameter(java.lang.String filename,
                                  ExcelParameter excelParameter)

  Sets the file name and its parameter to the excel file.

  Parameters:
    `filename` - the attached file name
    `excelParameter` - the needed parameter when producing excel files
  Since:
    V8.0
  See Also:
    `ExcelParameter`

### getExcelParameter

    public ExcelParameter getExcelParameter()

  Gets the excel parameter, which includes the needed parameter when producing excel files.

  Returns:
    ExcelParameter that holds all needed parameters when exporting to excel file

### setIsBiff8

    public void setIsBiff8(boolean isBiff8)

  Deprecated. please use setExcelParameter(ExcelParameter) to replace this method

  Sets whether the excel file is biff8 or not.

  Parameters:
    `isBiff8` -
  See Also:
    `setExcelParameter(ExcelParameter)`

### setWordWrap

    public void setWordWrap(int isWordWrap)

  Deprecated. please use setExcelParameter(ExcelParameter) to replace this method

  Sets excel word wrap type.

  See Also:
    `setExcelParameter(ExcelParameter)`

### setExcelParam

    public void setExcelParam(int param)

  Deprecated. please use setExcelParameter(ExcelParameter) to replace this method

  Sets whether or not export geometry object to excel file.

  See Also:
    `setExcelParameter(ExcelParameter)`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets the encoding of the mail.

  Parameters:
    `encoding` - encoding name NOTICE: If the encoding in communicator isn't null, you can not use it.

### getEncoding

    public java.lang.String getEncoding()

  Gets the encoding of the mail.

  Returns:
    the encoding of the mail.

### setFolder

    public void setFolder(java.lang.String folder)

  Sets the path of the saved files.

  Parameters:
    `folder` - directory name Note: If you invoke this method to set the folder, we would produce the file(s) into it and store it.

### getFolder

    public java.lang.String getFolder()

  Gets the directory of saved files.

  Returns:
    the directory String.

### setFilename

    public void setFilename(java.lang.String filename)

  Sets the compressed attached file name.

  Parameters:
    `filename` - file name without extend

### getFilename

    public java.lang.String getFilename()

  Gets the compressed file name.

  Returns:
    the filename String.

### setFilenameFmt

    public void setFilenameFmt(java.lang.String filenameFmt)

  Stores the zip(template) name for server.

  Parameters:
    `filenameFmt` - the compressed attached file name if you need to compress the attached file

### getFilenameFmt

    public java.lang.String getFilenameFmt()

  Stores the zip(template) name for server.

  Returns:
    gets the compressed attached file name

### setLimitSize

    public void setLimitSize(long smtpMaxSize)

  Sets the total limited file length. If the length of all attached files is greater than the specified value, the files will not be sent out.

  Parameters:
    `smtpMaxSize` - specifies the max value of length for the attached files. The unit is K.

### getLimitSize

    public long getLimitSize()

  Gets the limited file length.

  Returns:
    max value

### setURL

    public void setURL(java.lang.String url)

  Deprecated. This method is not used now. Will remove it in next version. If you have any questions, please contact our sales.

  Parameters:
    `url` -

### getURL

    public java.lang.String getURL()

  Deprecated. This method is not used now. Will remove it in next version. If you have any questions, please contact our sales.

  Returns:

### setSendNotice

    public void setSendNotice(boolean bSendNotice)

  Indicates whether to send a mail to notice user or not.

  Parameters:
    `bSendNotice` - if notice user, set true; otherwise, false.

### isSendNotice

    public boolean isSendNotice()

  Gets whether to send a mail to notice user or not.

  Returns:
    true, notice the user when the mail is sent successfully

### setSentMail

    public void setSentMail(boolean isMailSend)

  Indicates whether has sent the mail with attachment.

  Parameters:
    `isMailSend` - if notice user, set true; otherwise, false

### isSentMail

    public boolean isSentMail()

  Gets whether has sent the mail with attachment.

  Returns:
    true if send mail with attachment; otherwise, false

### setEncryptConnectionFormat

    public void setEncryptConnectionFormat(byte format)

  Set the connection format to connect the SMTP

  Parameters:
    `format` - the encrypt format. Now, it should be 0 or 1

### getEncryptConnectionFormat

    public byte getEncryptConnectionFormat()

  Get the connection format.

  Returns:
    encrypt format

### clear

    public void clear()

  clear another file instance

### copy

    public MailInformation copy()

  Adds this method for server group to invoke it.

  Returns:
    this object clone
  Since:
    V8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD